Name:           xcb-util-wm
Version:        0.4.1
Release:        17
Summary:        Client and window-manager helpers for EWMH and ICCCM
License:        MIT
URL:            http://xcb.freedesktop.org
Source0:        http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:  gcc pkgconfig(xcb-util) >= 0.3.8 m4

Patch0001:	backport-0001-Build-xz-tarballs-instead-of-bzip2.patch
Patch0002:	backport-0002-Update-configure.ac-bug-URL-for-gitlab-migration.patch

%description
XCB util-wm module provides the following libraries: Both client and window-manager helpers
for EWMH, Both client and window-manager helpers for ICCCM.

%package        devel
Summary:        Development and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development and header files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
make check

%install
%make_install
%delete_la

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc README
%license COPYING
%{_libdir}/*.so.*

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h

%changelog
* Wed Jan 18 2023 yangbo <yangbo1@xfusion.com> - 0.4.1-17
- Update configure.ac bug URL for gitlab migration

* Sat Jan 7 2023 yangbo <yangbo1@xfusion.com> - 0.4.1-16
- Build xz tarballs instead of bzip2

* Wed Oct 23 2019 Lijin Yang <yanglijin@huawei.com> - 0.4.1-15
- Package init
